Browse endpoints

Retrieve a Business Intelligence Request

GET /api/v2/business_intelligence/{request_uuid} operationId: business_intelligence_results

Live: https://gdapi.globaldata.net.au/api/v2/business_intelligence/{request_uuid} · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/business_intelligence/{request_uuid}

Experimental

The Business Intelligence API is still in the experimental stage and is subject to change.

Path parameters

FieldDescription
request_uuidrequired string (uuid)

The identifier for the business intelligence request to retrieve

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

Responses

200

Details of the business intelligence request

application/json
FieldDescription
message string

A message indicating the result of the request. This will be Ok if the request was successful.

Example: Ok

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request for support queries.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

status string

The status of the business intelligence request

  • pending: The request has been created but not yet begun processing
  • processing: The request is currently being processed (See status_message for more details)
  • complete: The request has been completed
  • failed: The request has failed

Enum: pending, processing, complete, failed

Example: pending

status_message string

A message indicating what the current status of the request is

Example: Request is still processing.

data object

The data returned by the request. This is available when the request is complete.

data.abn string

The ABN of the business

Example: 12345678901

data.abn_name object
data.abn_name.entity_name string

The name of the business

Example: ACME Pty Ltd

data.abn_name.from string (date)

The start date of for this entity name

Example: 2020-01-01

data.abn_name.to string (date) or null

The end date of for this entity name or null if it is the current entity name

data.abn_gst_status object

The history of the GST status of the business. Empty if the business is not registered for GST.

data.abn_gst_status.from string (date)

The start date of for this GST status

Example: 2020-01-01

data.abn_gst_status.to string (date) or null

The end date of for this GST status or null if it is the current GST status

data.abn_charity_status object

The history of the charity status of the business. Empty if the business is not a charity.

data.abn_charity_status.from string (date)

The start date of for this charity status

Example: 2020-01-01

data.abn_charity_status.to string (date) or null

The end date of for this charity status or null if it is the current charity status

data.abn_previous_names array of objects

The previous names of the business.

data.abn_previous_names[].name string

The name of the business

Example: ACME Pty Ltd

data.abn_previous_names[].from string (date)

The start date of for this previous name

Example: 2020-01-01

data.abn_previous_names[].to string (date) or null

The end date of for this previous name or null if it is the current previous name

data.abn_status string

The current status of the business

Example: Active

data.abn_type string

The type of business

Example: Australian Private Company

data.abn_reg_date string (date)

The date the ABN was registered

Example: 2020-01-01

data.abn_location string

The location of the business (State and Postcode)

Example: NSW 2000

data.acn string

The ACN of the business (if applicable)

Example: 123456789

data.acn_status string

The status of the ACN (if applicable)

Example: Registered

data.acn_reg_date string (date)

The date the ACN was registered (if applicable)

Example: 2020-01-01

data.acn_recent_documents array of objects

The recent ASIC documents of the business (if applicable)

data.acn_recent_documents[].documentNumber string

The document number

Example: 12345678901

data.acn_recent_documents[].dateReceived string (date)

The date the document was received

Example: 2020-01-01

data.acn_recent_documents[].formCode string

The ASIC form code of the document

Example: 488

data.acn_recent_documents[].numberOfPages integer

The number of pages in the document

Example: 4

data.acn_recent_documents[].description string

The description of the document

Example: APPLICATION TO CHANGE REVIEW DATE OF AN ENTITY

data.acn_recent_documents[].additionalDescription array of objects

Additional description of the document

data.acn_recent_documents[].additionalDescription[].subformCode string

The subform code of the document

Example: 488B

data.acn_recent_documents[].additionalDescription[].subformDescription string

The description of the subform

Example: Change of review date

data.business_names array of objects

The business names of the business

data.business_names[].name string

The name of the business

Example: ACME Services

data.business_names[].from string (date)

The start date for this business name

Example: 2020-01-01

data.business_names[].to string (date) or null

The end date for this business name or null if it is the current business name

data.business_names[].type string

The type of business name

Example: business_name

data.business_names[].previous_state_number string

The previous state number of the business name (if applicable)

Example: 12345678901

data.business_names[].previous_state_name string

The previous state name of the business name (if applicable)

Example: NSW

data.domains array of strings

The domains of the business

data.websites array of objects

The websites of the business

data.websites[].domain string

The domain of the website

Example: acme.com

data.websites[].type string

The type of website

Enum: active, archived

Example: active

data.websites[].summary string

The summary of the website

Example: ACME is a leading provider of accounting and financial services.

data.summary string

The summary of the business

Example: ACME is a leading provider of accounting and financial services.

data.anzsic_code string

The ANZSIC code of the business

Example: 6419

data.anzsic_description string

The ANZSIC description of the business

Example: Other Auxiliary Finance and Investment Services

data.remitter_details array of objects

The AUSTRAC remitter details of the business

data.remitter_details[].id string

The ID of the remitter

Example: 12345678901

data.remitter_details[].legalName string

The legal name of the remitter

Example: ACME Pty Ltd

data.remitter_details[].tradingNames array of strings

The trading names of the remitter

data.remitter_details[].abn string

The ABN of the remitter

Example: 12345678901

data.remitter_details[].acn string

The ACN of the remitter

Example: 123456789

data.remitter_details[].arbn string

The ARBN of the remitter

Example: 12345678901

data.remitter_details[].address string

The address of the remitter

Example: 123 Main St, Sydney NSW 2000

data.log array of strings

The log of the business intelligence request

Standard error responses: 400 401 402 403 429 5XX See common error responses